Skip to main content
PUT
Replace the NativeStyle mapped to an ad unit + format.

Authorizations

Authorization
string
header
required

Bearer authentication. Pass the access token in the Authorization: Bearer <token> header.

Path Parameters

ad_unit_id
string<uuid>
required
format_id
string<uuid>
required

Body

application/json

Request body for PUT /ad-unit-native-styles/{ad_unit_id}/{format_id}.

style_id
string<uuid>
required

NativeStyle to replace the current mapping with.

Response

Successful Response

Response schema for AdUnitNativeStyle mutation/read operations.

ad_unit_id
string<uuid>
required

AdUnit this mapping applies to.

created_at
string<date-time>
required
format_id
string<uuid>
required

NativeFormat for which this style is selected (part of composite PK).

style_id
string<uuid>
required

NativeStyle to use when rendering this format on this AdUnit.

updated_at
string<date-time>
required
id
string<uuid> | null
no
integer | null